libiodbc2 (3.52.9-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Force using triplet-prefixed pkg-config. (Closes: #838208)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 12 Dec 2017 22:31:37 +0100

libiodbc2 (3.52.9-2) unstable; urgency=medium

  * Set SYSTEM_DIR to the odbc multiarch path. (Closes: #749427)
    Thanks to Christoph Berg.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 May 2014 13:06:37 +0200

libiodbc2 (3.52.9-1) unstable; urgency=medium

  * Add vcs control fields.
  * Bump Standards-Version to 3.9.5.
  * Prepare package for unstable. (Closes: #715086, #724405)
  * Add abi-compliance-checker info.
  * New upstream release.
  * Delete patch: admin-compile, upstream added the missing file.
  * Delete patch: full_path_wont_match_local_rule.diff, applied
    upstream.
  * Refresh patches.
  * Add dh-acc lintian-override.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 14 May 2014 12:57:11 +0200

libiodbc2 (3.52.8-2) experimental; urgency=low

  * New patch: full_path_wont_match_local_rule.diff.
  * Use dh_autoreconf as-needed feature.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Jun 2013 19:54:24 +0200

libiodbc2 (3.52.8-1) experimental; urgency=low

  * New upstream release.
  * New maintainer. (Closes: #509815)
  * Bump debhelper build-dep and compat to 9.
  * Migrate packaging to dh.
  * Bump Standards-Version to 3.9.4.
  * Add symbols files.
  * Update install files for multi-arch.
  * Update install files.
  * Add Pre-Depends for multi-arch.
  * Update lintian-overrides.
  * Remove duplicate section field.
  * Update libiodbc2-dev install file, remove private libraries.
  * Change includedir to avoid conflicts.
  * Install pkgconfig file.
  * Add Multi-Arch: same to libiodbc2.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Jun 2013 09:06:37 +0200

libiodbc2 (3.52.7-3) unstable; urgency=low

  * QA upload.
  * Find odbc drivers in a system dir.
  * Lower relation to iodbc from libiodbc2-dev. (Closes: #640975)

 -- Sune Vuorela <sune@debian.org>  Fri, 17 May 2013 23:08:52 +0200

libiodbc2 (3.52.7-2) unstable; urgency=low

  * QA upload
  * DH compat level 8, bump version in build-dependency on debhelper
  * debian/libiodbc2-dev.{install,files}: do not install .la files
    (closes: #621579).
  * debian/control: libiodbc2 depends on iodbc (closes: #571199).

 -- Ralf Treinen <treinen@debian.org>  Sat, 09 Apr 2011 08:40:01 +0200

libiodbc2 (3.52.7-1) experimental; urgency=low

  * QA upload
  * New upstream release (closes: #551595). This release fixes a segfault
    (closes:  #532563).
  * Convert to source format 3.0 (quilt)
  * DH compat level 5 (no change)
  * Removed patche 01_so.diff since incorporated by upstream.
  * Patch admin-compile: added admin/compile from version 3.52.6
    which apparently got lost

 -- Ralf Treinen <treinen@debian.org>  Sat, 26 Jun 2010 22:19:58 +0200

libiodbc2 (3.52.6-4) unstable; urgency=low

  * QA upload
  * patch debian/patches/05_unicode_includes.diff: iodbcinst/unicode.h
    needs to include <iodbc.h> for HAVE_* definitions from configure.
    Thanks to Colin Watson for the patch! (closes: 550063).
  * Added dependency on ${misc:Depends} for all binary packages from
    this source.

 -- Ralf Treinen <treinen@debian.org>  Tue, 13 Oct 2009 08:37:42 +0200

libiodbc2 (3.52.6-3) unstable; urgency=low

  * QA upload, orphaning this package.
  * debian/patches/03_bug508480.diff: Added.  Closes: #508480.
    Patch by Martín Ferrari <tincho@debian.org>, thanks.
  * debian/patches/04_bug501100.diff: Added.  Closes: #501100.
    Patch by Adam Majer <adamm@zombino.com>, thanks.
  * debian/control: Edited descriptions.  Closes: #477147.
    Patch by Adrian Knoth <adi@drcomp.erfurt.thur.de>, thanks.

 -- Bart Martens <bartm@debian.org>  Tue, 23 Dec 2008 19:48:18 +0100

libiodbc2 (3.52.6-2) unstable; urgency=low

  * Moved all .so files back to the -dev package.  Closes: #468455.
  * debian/patches/01_so.diff: Use ".so.2" instead of ".so".  See: #275179.
  * debian/patches/02_gtk.diff, debian/control: Removed gtk1.2 check, and
    removed libgtk1.2-dev from Build-Depends.  Closes: #454524.
  * Fixed "iodbc: spelling-error-in-description GTK GTK+".

 -- Bart Martens <bartm@debian.org>  Sat, 01 Mar 2008 18:19:57 +0100

libiodbc2 (3.52.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Fixed substvar-source-version-is-deprecated.
  * debian/control: Build-Depends: libgtk2.0-dev.

 -- Bart Martens <bartm@debian.org>  Sat, 03 Nov 2007 10:07:00 +0100

libiodbc2 (3.52.5-1) unstable; urgency=low

  * New upstream release.
  * debian/*.lintian-overrides: Updated.
  * debian/README.Debian: Updated by upstream author.
  * debian/rules: Cleanup of generated changes.
  * debian/watch: Updated.

 -- Bart Martens <bartm@knars.be>  Sat, 28 Apr 2007 21:20:19 +0200

libiodbc2 (3.52.4-5) unstable; urgency=low

  * debian/control, debian/compat: Reverted changing debhelper compat level.
    Closes: #410706.

 -- Bart Martens <bartm@knars.be>  Tue, 27 Feb 2007 23:39:44 +0100

libiodbc2 (3.52.4-4) unstable; urgency=low

  * debian/control: Added "m4 (>= 1.4.7)" to Build-Depends.  Closes: #404093.
    Thanks to Martin Guy <martinwguy@yahoo.it>.
  * Rebuilding this package makes iodbc depend on libiodbc2.  Closes: #405077.
    Thanks to Martin Guy <martinwguy@yahoo.it>.
  * debian/control: Removed duplicate Build-Depends on autotools-dev.
  * debian/control, debian/compat: Standards version and debhelper version.

 -- Bart Martens <bartm@knars.be>  Sun, 14 Jan 2007 12:13:31 +0100

libiodbc2 (3.52.4-3) unstable; urgency=low

  * New maintainer.  Closes: #230646.
  * debian/copyright: Updated by removing the existing patches.  This fixes
    the FSF address, and this restores some subtle upstream license choices.
  * debian/iodbc.lintian-overrides: Updated.
  * debian/libiodbc2.lintian-overrides: Updated.
  * debian/control, debian/rules: Use automake1.9.
  * debian/control: Standards version.
  * debian/control: Added homepage.

 -- Bart Martens <bartm@knars.be>  Sat, 22 Apr 2006 16:38:52 +0200

libiodbc2 (3.52.4-2) unstable; urgency=low

  * Fixed FTBFS due to bug in iodbc control file which has recently started
    to let dpkg-genchanges fail.

 -- Christian Hammers <ch@debian.org>  Mon,  6 Feb 2006 20:28:19 +0100

libiodbc2 (3.52.4-1) unstable; urgency=low

  * New upstream release.
    Closes: #339501 

 -- Christian Hammers <ch@debian.org>  Mon, 30 Jan 2006 21:37:30 +0100

libiodbc2 (3.52.3-1) unstable; urgency=low

  * New upstream release.
    Closes: #309935, #309936, #301304
  * Removed Debian specific patches and added --layout=debian to configure.

 -- Christian Hammers <ch@debian.org>  Wed, 16 Nov 2005 02:56:21 +0100

libiodbc2 (3.52.2-4) unstable; urgency=low

  * Raised automake version from 1.6 to 1.7 on request of Eric Dorland. 

 -- Christian Hammers <ch@debian.org>  Sun, 31 Jul 2005 23:50:25 +0200

libiodbc2 (3.52.2-3) unstable; urgency=low

  * Andreas Jochens reported a build problem on amd64 which uses the
    apparently more strict gcc-4.0 and provided a patch. Thanks!
    Closes: #294154

 -- Christian Hammers <ch@debian.org>  Tue,  8 Feb 2005 13:04:39 +0100

libiodbc2 (3.52.2-2) unstable; urgency=low

  * debian/rules: Adjusted CDBS variables necessary to update libtool
    (thanks to Robert Millan). Closes: #268306, #262295

 -- Christian Hammers <ch@debian.org>  Mon,  7 Feb 2005 21:05:33 +0100

libiodbc2 (3.52.2-1) unstable; urgency=low

  * New upstream version. 

 -- Christian Hammers <ch@debian.org>  Mon,  7 Feb 2005 19:28:33 +0100

libiodbc2 (3.52.1-2) unstable; urgency=medium

  * Moved all .so files from libiodbc2-dev to iodbc and libiodbc2 as some
    applications like iodbcadm-gtk from iodbc load their shared libraries
    in a DLL wrapper function at runtime and not via the common dynamic
    linking way! (thanks to Alexey Nezhdanov). Closes: #275179

 -- Christian Hammers <ch@debian.org>  Thu,  7 Oct 2004 23:02:04 +0200

libiodbc2 (3.52.1-1) unstable; urgency=low

  * New upstream release. 

 -- Christian Hammers <ch@debian.org>  Sat,  2 Oct 2004 21:48:11 +0200

libiodbc2 (3.51.2-5) unstable; urgency=medium

  * Reworked libtool update to fix FTBFS on ARM. 
    Sadly buildd said maybe-success and it took me a while to figure out
    that there was something for me to do :-(

 -- Christian Hammers <ch@debian.org>  Sat, 21 Aug 2004 15:08:48 +0200

libiodbc2 (3.51.2-4) unstable; urgency=medium

  * Added versioned dependencies to the .shlibs file (thanks to
    Adrian Bunk). Closes: #265494
  * Added shlibs.local.

 -- Christian Hammers <ch@debian.org>  Fri, 13 Aug 2004 22:38:39 +0200

libiodbc2 (3.51.2-3) unstable; urgency=low

  * Converted debian/rules to cdbs.

 -- Christian Hammers <ch@debian.org>  Mon,  2 Aug 2004 19:43:22 +0200

libiodbc2 (3.51.2-2) unstable; urgency=low

  * Reverted the "-ld" patch from last upload. The problem that my iodbc
    libraries all had a TEXTREL symbol in them was simply caused do a "bug"
    in the libc6 package that made libdl.so a symlink pointing from 
    /usr/lib/ to ../../lib/ which does not work if /usr is on another 
    partition than /lib!

 -- Christian Hammers <ch@debian.org>  Thu,  4 Mar 2004 01:33:55 +0100

libiodbc2 (3.51.2-1) unstable; urgency=medium

  * New upstream version. 
  * Changed Makefile so that there is no longer a TEXTREL secion in
    libiodbc.so.2.1.9 and "prelink" is happy. The shared library is now
    hopefully fully PIC compatible. Closes: #228859
  * Upstream fixed this bug according to private email. Closes: #169174
  * Changed section of libiodbc2-dev to libdevel.
  * Updated download link in copyright file.

 -- Christian Hammers <ch@debian.org>  Sun, 29 Feb 2004 22:39:59 +0100

libiodbc2 (3.51.1-3) unstable; urgency=low

  * Moved libdrvproxy from libiodbc2 to iodbc as it seems to be
    necessary only for the GUI (thanks to Raphael Surcouf Bordet). 
    Closes: #221087

 -- Christian Hammers <ch@debian.org>  Sun, 16 Nov 2003 16:06:02 +0100

libiodbc2 (3.51.1-2) unstable; urgency=low

  * Added libdrvproxy.so library (thanks to Adrian Kubala). 
    Closes: #220834 

 -- Christian Hammers <ch@debian.org>  Sat, 15 Nov 2003 13:47:32 +0100

libiodbc2 (3.51.1-1) unstable; urgency=low

  * New upstream version. 
    - Unicode support
    - bugfixes
  * Fixed small description typo (thanks to Thanasis Kinias). 
    Closes: #197627

 -- Christian Hammers <ch@debian.org>  Tue, 28 Oct 2003 01:15:32 +0100

libiodbc2 (3.0.6-4) unstable; urgency=low

  * Updated GNU autoconf files for Debian/FreeBSD (Thanks to Robert Millan).
    Closes: #195923 

 -- Christian Hammers <ch@debian.org>  Tue,  3 Jun 2003 14:28:22 +0200

libiodbc2 (3.0.6-3.1) unstable; urgency=low

  * NMU
  * iodbc-config.1 needs to be out of libiodbc2.undocumented, and
    libiodbc2-dev needs to Replace: libiodbc2 (<3.0.6-3).  Closes: #148226

 -- LaMont Jones <lamont@debian.org>  Thu, 30 May 2002 22:18:56 -0600

libiodbc2 (3.0.6-3) unstable; urgency=low

  * Moved iodbc-config from lib to -dev package. Closes: #146905 

 -- Christian Hammers <ch@debian.org>  Mon, 20 May 2002 14:28:49 +0200

libiodbc2 (3.0.6-2) unstable; urgency=medium

  * Fixed build problems due to broken libtool support. Closes: #145325

 -- Christian Hammers <ch@debian.org>  Tue,  7 May 2002 10:57:27 +0200

libiodbc2 (3.0.6-1) unstable; urgency=low

  * New upstream version. (minor bugfixes only) 
  * The debian directory is now integrated into the upstream source.
  * Added iodbc-test binary.

 -- Christian Hammers <ch@debian.org>  Tue, 30 Apr 2002 00:28:59 +0200

libiodbc2 (3.0.5b-2) unstable; urgency=medium

  * Added dependency to libiodbc2. Closes: #144495 

 -- Christian Hammers <ch@debian.org>  Thu, 25 Apr 2002 18:02:34 +0200

libiodbc2 (3.0.5b-1) unstable; urgency=low

  * New snapshot source from upstream author that fixes build problems. 
  * Put the new GTK configuration binary to a seperate package called
    'iodbc'. Closes: #140859

 -- Christian Hammers <ch@debian.org>  Sun, 14 Apr 2002 18:07:28 +0200

libiodbc2 (3.0.5-3) unstable; urgency=low

  * Corrected typo in package description. 
  * Added libgtk1.2-dev to build-depends. Closes: #140723

 -- Christian Hammers <ch@debian.org>  Fri, 29 Mar 2002 17:12:55 +0100

libiodbc2 (3.0.5-2) unstable; urgency=low

  * Corrected typo in package description. 
  * Added libgtk1.2-dev to build-depends. Closes: #140723

 -- Christian Hammers <ch@debian.org>  Fri, 29 Mar 2002 17:12:55 +0100

libiodbc2 (3.0.5-1) unstable; urgency=low

  * New upstream version. Closes: #113987
    - now supports ODBC3 
    - added iodbc-config and iodbcadm-gtk binaries
  * This library is supposed to be backwards compatible to the 2.x 
    versions.
  * iodbcadm-gtk doesn't build correctly

 -- Christian Hammers <ch@debian.org>  Tue, 26 Mar 2002 03:39:12 +0100

libiodbc2 (2.50.3-4) unstable; urgency=low

  * Updated config.guess and config.sub to make compilation on
    PARISC architecuture possible. Closes: #94763 

 -- Christian Hammers <ch@debian.org>  Sun, 20 May 2001 17:05:05 +0200

libiodbc2 (2.50.3-3) unstable; urgency=low

  * Added s390 recognition in config.sub. Closes: #88556 
    Thanks to kokids@debian.org for the patch.

 -- Christian Hammers <ch@debian.org>  Sat, 10 Mar 2001 17:14:00 +0100

libiodbc2 (2.50.3-2) unstable; urgency=low

  * Added Build-Depends.
  * No code change.

 -- Christian Hammers <ch@debian.org>  Sun, 18 Feb 2001 05:14:04 +0100

libiodbc2 (2.50.3-1) unstable; urgency=low

  * Initial Release.

 -- Christian Hammers <ch@debian.org>  Sat,  2 Oct 1999 15:44:05 +0200
